Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.atna.audit.messages
Class ImportMessage

    java.lang.Object
      org.eclipse.ohf.ihe.atna.audit.messages.AuditMessage
          org.eclipse.ohf.ihe.atna.audit.messages.ImportMessage

All Implemented Interfaces:
  java.io.Serializable

    public class ImportMessage

extends AuditMessage
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `PROP_SAMPLE_PROPERTY`

Fields inherited from class org.eclipse.ohf.ihe.atna.audit.messages.AuditMessage
`DB_AuditMessage, VARCHAR_LENGTH`

Constructor Summary
`ImportMessage()` Constructor of the PHI: Import audit message
`ImportMessage(java.lang.String eventDateTime, int eventOutcomeIndicator, java.lang.String userIDActiveParticipantConsumer, java.lang.String userIDActiveParticipantRegistry, java.lang.String[] participantObjectId, java.lang.String participantObjectQuery)` Constructor of the PHI: Import audit message

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)`
`java.lang.String` | `getSampleProperty()`
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener listener)`
`void` | `setSampleProperty(java.lang.String value)`

Methods inherited from class org.eclipse.ohf.ihe.atna.audit.messages.AuditMessage
`getAuditSourceIdentification, getEventIdentification, getParticipantObjectIdentification, IsValid, main, parse, setActiveParticipant, setAuditSourceId, setAuditSourceIdentification, setEventDateTime, setEventIdentification, setEventOutcomeIndicator, setParticipantObjectId, setParticipantObjectQuery, setParticipationObjectIdentification, setUserIDActiveParticipantConsumer, setUserIDActiveParticipantRegistry, toHtml, toXml`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_SAMPLE_PROPERTY

    public static final java.lang.String PROP_SAMPLE_PROPERTY

See Also:
  Constant Field Values

Constructor Detail

### ImportMessage

    public ImportMessage()
                  throws javax.xml.parsers.ParserConfigurationException,
                         javax.xml.parsers.FactoryConfigurationError,
                         ATNAException

  Constructor of the PHI: Import audit message

  Throws:
    `javax.xml.parsers.ParserConfigurationException`
    `javax.xml.parsers.FactoryConfigurationError`
    `ATNAException`

### ImportMessage

    public ImportMessage(java.lang.String eventDateTime,
                         int eventOutcomeIndicator,
                         java.lang.String userIDActiveParticipantConsumer,
                         java.lang.String userIDActiveParticipantRegistry,
                         java.lang.String[] participantObjectId,
                         java.lang.String participantObjectQuery)
                  throws javax.xml.parsers.ParserConfigurationException,
                         javax.xml.parsers.FactoryConfigurationError,
                         ATNAException

  Constructor of the PHI: Import audit message

  Parameters:
    `eventDateTime` - Date of the message generation, it should have this format :
    2006-07-05T19:28:00.140-04:00
    `eventOutcomeIndicator` - The eventOutcomeIndicator should be :
    0 : Success
    4 : Minor failure
    8 : Serious failure
    12: Major failure; action made unavailable
    `userIDActiveParticipantConsumer` - Identity of the consumer
    `userIDActiveParticipantRegistry` - Identity of the registry
  Throws:
    `javax.xml.parsers.ParserConfigurationException`
    `javax.xml.parsers.FactoryConfigurationError`
    `ATNAException`

Method Detail

### getSampleProperty

    public java.lang.String getSampleProperty()

### setSampleProperty

    public void setSampleProperty(java.lang.String value)

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD